# IListener2
Date: 2011-05-10

## jrummikub.util
Interface IListener2<T1,T2>

Type Parameters:
  `T1` - type of the first event parameter
  `T2` - type of the first event parameter

    public interface IListener2<T1,T2>

Interface for classes that can receive parameterless events having a two parameters

Method Summary
`void` `handle(T1 value1, T2 value2)` This method is called whenever a class we're listening to emits an event

Method Detail

### handle

    void handle(T1 value1,
                T2 value2)

  This method is called whenever a class we're listening to emits an event

  Parameters:
    `value1` - the first event parameter
    `value2` - the second event parameter